sasl_verifyfile_t(10 July 2001)

NAME
sasl_verifyfile_t - The SASL file verification

SYNOPSIS
#include <sasl/sasl.h>

typedef enum {
    SASL_VRFY_PLUGIN, /* a DLL/shared library plugin */
    SASL_VRFY_CONF,   /* a configuration file */
    SASL_VRFY_PASSWD, /* a password storage file */
    SASL_VRFY_OTHER   /* some other file type */
} sasl_verify_type_t
int sasl_verifyfile_t(void *context,
			   const char *file,
                      sasl_verify_type_t type)

DESCRIPTION
sasl_verifyfile_t is used to check whether a given file is okay for use by the SASL library. this is intended to allow applications to sanity check the environment to ensure that plugins or the config file cannot be written to, etc. context context from the callback record file full path of the file to verify type type of the file.

RETURN VALUE
SASL callback functions should return SASL return codes. See sasl.h for a complete list. SASL_OK indicates success.

SEE ALSO
sasl(3), sasl_callbacks(3)